Summary: manual page reader
Name: man
Version: 1.5d
Release: 1
Copyright: GPL
Group: Utilities/System
Source0: ftp://ftp.win.tue.nl/pub/linux/util/man-1.5d.tar.gz
Source1: makewhatis.cron
Patch0: man-1.5d-conf.patch
Patch1: man-1.5d-sgid.patch
Patch2: man-1.4d-shell.patch
Patch3: man-1.5d-Makefile.in-patch
Requires: groff
BuildRoot: /tmp/man-root

%description
The man page suite, including man, apropos, and whatis.  These
programs are used to read most of the documentation available
on a Linux system.  The whatis and apropos programs can be used
to find documentation related to a particular subject.

%changelog

* Thu Apr 23 1998 C. Scott Ananian <cananian@alumni.princeton.edu>

- Upgraded to version 1.5d

* Thu Jul 31 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 1.4j

* Fri Jul  4 1997 Pablo Saratxaga <srtxg@linux.chanae.stben.be>

- Changed it so it installs man pages and msg for all languages
- changed the install path of msgs to /usr/share/locale/%L/%N

* Tue May 27 1997 Timo Karjalainen <timok@iki.fi>

- Upgraded to version 1.4i
- Uses BuildRoot
- Source path now points to correct location
- Simplified specfile

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>

- Added /usr/lib/perl5/man to default manpath

%prep
%setup

%patch0 -p1 -b .conf
%patch1 -p1 -b .sgid
%patch2 -p1 -b .shell
%patch3 -p1

%build
./configure +lang all
patch -p0 -s < conf.diff
make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{etc/cron.weekly,usr/bin,usr/sbin}
make BINROOTDIR=$RPM_BUILD_ROOT install

install -m 755 -o 0 -g 0 $RPM_SOURCE_DIR/makewhatis.cron $RPM_BUILD_ROOT/etc/cron.weekly

install -d -m 775 -o root -g man $RPM_BUILD_ROOT/var/catman
install -d -m 775 -o root -g man $RPM_BUILD_ROOT/var/catman/{local,X11}

for i in 1 2 3 4 5 6 7 8 9 n; do
	install -d -m 775 -o root -g man $RPM_BUILD_ROOT/var/catman/cat$i
	install -d -m 775 -o root -g man $RPM_BUILD_ROOT/var/catman/{local,X11}/cat$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%config /etc/cron.weekly/makewhatis.cron
%config /etc/man.conf
/usr/*bin/*
/usr/man/*/*
/usr/share/locale/*/man

%dir /var/catman
%dir /var/catman/cat*
%dir /var/catman/local
%dir /var/catman/local/cat*
%dir /var/catman/X11
%dir /var/catman/X11/cat*
